//get inputs
RightKey = keyboard_check(vk_right) || keyboard_check(ord("D"))
LeftKey = keyboard_check(vk_left) || keyboard_check(ord("A"))
UpKey = keyboard_check(vk_up) || keyboard_check(ord("W"))
DownKey = keyboard_check(vk_down) || keyboard_check(ord("S"))

//getting movement direction
xspd = (RightKey - LeftKey) * Speed;
yspd = (DownKey - UpKey) * Speed;

//y axis collision & movement
if(place_free(x, y+yspd)){
	y += yspd;
}

//x axis collision & movement
if(place_free(x+xspd, y)){
	x += xspd;
}

//Laser Damage
if(place_meeting(x, y, obj_laser)){
	sprite_index = spr_player_hurt;
	y += yspd * -8
	x += xspd * -8
}

//Bullet Damage
if(place_meeting(x, y, obj_bullet)){
	sprite_index = spr_player_hurt;
}

//Death
if(PainAlpha >= 1){
	room_restart()
}

//Next level
if(TranAlpha >= 1){
	room_goto_next();
}